OpenJPH: ojph::local::param_tlm Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::param_tlm Struct Reference

`#include <ojph_params_local.h>`

## Classes
struct | Ttlm_Ptlm_pair

## Public Member Functions
| param_tlm ()
void | init (ui32 num_pairs, Ttlm_Ptlm_pair *store)
void | set_next_pair (ui16 Ttlm, ui32 Ptlm)
bool | write (outfile_base *file)

## Private Attributes
ui16 | Ltlm
ui8 | Ztlm
ui8 | Stlm
Ttlm_Ptlm_pair * | pairs
ui32 | num_pairs
ui32 | next_pair_index

## Detailed Description

Definition at line 961 of file ojph_params_local.h.

## Constructor & Destructor Documentation

## ◆ param_tlm()

ojph::local::param_tlm::param_tlm | ( |  | ) |
| inline

Definition at line 970 of file ojph_params_local.h.

References next_pair_index, num_pairs, and pairs.

## Member Function Documentation

## ◆ init()

void ojph::local::param_tlm::init | ( | ui32 | num_pairs,
|  | Ttlm_Ptlm_pair * | store )

Definition at line 2223 of file ojph_params.cpp.

References Ltlm, num_pairs, OJPH_ERROR, pairs, Stlm, and Ztlm.

## ◆ set_next_pair()

void ojph::local::param_tlm::set_next_pair | ( | ui16 | Ttlm,
|  | ui32 | Ptlm )

Definition at line 2239 of file ojph_params.cpp.

References next_pair_index, num_pairs, and pairs.

Referenced by ojph::local::tile::fill_tlm().

## ◆ write()

bool ojph::local::param_tlm::write | ( | outfile_base * | file | ) |

Definition at line 2248 of file ojph_params.cpp.

References Ltlm, next_pair_index, num_pairs, pairs, Stlm, ojph::local::swap_byte(), ojph::local::TLM, ojph::outfile_base::write(), and Ztlm.

## Member Data Documentation

## ◆ Ltlm

ui16 ojph::local::param_tlm::Ltlm
| private

Definition at line 977 of file ojph_params_local.h.

Referenced by init(), and write().

## ◆ next_pair_index

ui32 ojph::local::param_tlm::next_pair_index
| private

Definition at line 982 of file ojph_params_local.h.

Referenced by param_tlm(), set_next_pair(), and write().

## ◆ num_pairs

ui32 ojph::local::param_tlm::num_pairs
| private

Definition at line 981 of file ojph_params_local.h.

Referenced by init(), param_tlm(), set_next_pair(), and write().

## ◆ pairs

Ttlm_Ptlm_pair* ojph::local::param_tlm::pairs
| private

Definition at line 980 of file ojph_params_local.h.

Referenced by init(), param_tlm(), set_next_pair(), and write().

## ◆ Stlm

ui8 ojph::local::param_tlm::Stlm
| private

Definition at line 979 of file ojph_params_local.h.

Referenced by init(), and write().

## ◆ Ztlm

ui8 ojph::local::param_tlm::Ztlm
| private

Definition at line 978 of file ojph_params_local.h.

Referenced by init(), and write().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params_local.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp